select * from sys.conversation_endpoints

DECLARE @t TABLE( AutoID INT IDENTITY, ConversationHandle UNIQUEIDENTIFIER)
        
-- insert the handles of all open conversations to the 
-- memory table
INSERT INTO 
    @t (ConversationHandle)
SELECT 
    [conversation_handle] 
FROM
    sys.conversation_endpoints
            
-- local variables
DECLARE @cnt INT, @max INT, @handle UNIQUEIDENTIFIER
SELECT @cnt = 1, @max = COUNT(*) FROM @t
        
-- run a loop for each row in the memory table
WHILE @cnt <= @max BEGIN
    -- read the conversation_handle
    SELECT
        @handle = ConversationHandle
    FROM @t WHERE AutoID = @cnt
            
    -- end conversation
    PRINT 'Closing conversation: ' + CAST(@handle AS VARCHAR(50))
    END CONVERSATION @handle WITH CLEANUP
            
    -- increment counter
    SELECT @cnt = @cnt + 1
END

select * from sys.conversation_endpoints